logoon  windows
Apache Lounge
Webmasters

 


About

Forum Index Downloads Search Forum Register Log in  RSS Apache Lounge


Keep Server Online

If you find the Apache Lounge, the downloads and overall help useful, please express your satisfaction with a donation.

or

Bitcoin

A donation makes a contribution towards the costs, the time and effort that's going in this site and building.

Thank You! Steffen

Apache Lounge is not sponsored by anyone.

Your donations will help to keep this site alive and well, and continuing the building of the binaries.




php5ts.dll error
Goto page 1, 2  Next
 
Post new topic   Reply to topic    Apache Forum Index -> Other Software



View previous topic :: View next topic  
Author Message
pips



Joined: 03 May 2006
Posts: 65
Location: Manchester, UK

PostPosted: Wed 15 Nov '06 14:37    Post subject: php5ts.dll error Reply with quote

I am trying to setup our existing webserver (WAMP on 2003) so we can use SSL to handle sensative data etc. As I am new to the SSL side, I thought I would install WAMP on my local XP Pro rather than mess around with a live working system on the 2003 machine.
So I have downloaded apache 223 zip file from this forum, php5.2.0 and mysql 5.0.27 and also the php5apache2dll-php5.1.x.zip patch file.
Everything has installed ok, but Apache Service monitor reports that I am running php5.1.6 even though I downloaded and installed 5.2.0.

Anyway, that's not the main issue. The problem I have is when I execute the phpinfo command, The information starts to be displayed in the web-browser until it gets to the HTTP Headers Information section, at which point I get an error message on screen saying "APPACHE HTTP SERVER HAS ENCOUNTERED A PROBLEM AND NEEDS TO CLOSE......" The information report on this error is:-

szAppName: httpd.exe szAppVer: 2.2.3.0 szModName: php5ts.dll
szModVer: 5.2.0.0 offset: 00097d80

The technical information it reports in the error is:-

C:\DOCUME~1\PHILST~1\LOCALS~1\Temp\WER9271.dir00\httpd.exe.mdmp
C:\DOCUME~1\PHILST~1\LOCALS~1\Temp\WER9271.dir00\appcompat.txt

Anyone got any ideas? I have also taken the plunge and upgraded my system to IE7 - god knows why I did that, but hey, we all do daft things once in a while!! Confused
Back to top
James Blond
Moderator


Joined: 19 Jan 2006
Posts: 5013
Location: Germany, Next to Hamburg

PostPosted: Wed 15 Nov '06 15:09    Post subject: Reply with quote

your issue is that you need to patch the php5apache2dll ! Use php5apache2_2.dll with PHP 5.2.x Wink

The php5apache2dll from here is only for PHP 5.1.x
Back to top
pips



Joined: 03 May 2006
Posts: 65
Location: Manchester, UK

PostPosted: Wed 15 Nov '06 15:20    Post subject: Reply with quote

Thanks for the very quick response James. It actually makes sense when you think about it.....

It now works fine, thanks again.
Phil.
Back to top
nesomis



Joined: 22 Feb 2008
Posts: 1

PostPosted: Fri 22 Feb '08 23:56    Post subject: similar problem on XP Reply with quote

I have similar problem

Apache 2.2.8
php 5.2.5
MySQL 5.1.23
phpMyAdmin 2.11.4
Windows XP SP2

Error report:
szAppName : httpd.exe szAppVer : 2.2.8.0 szModName : php5ts.dll
szModVer : 5.2.5.5 offset: 00009f0c

What can I do?
Back to top
tagmantto



Joined: 03 Apr 2008
Posts: 1

PostPosted: Thu 03 Apr '08 23:12    Post subject: Reply with quote

I too having the same problem on I am using oracle's oci8 and for some reason it is only happening on one and only one loop over the array fetched from the database, after it goes over it Apache crashes with the following

szAppName : httpd.exe szAppVer : 2.2.4.0 szModName : php5ts.dll
szModVer : 5.2.5.5 offset : 0009a293

anyone has a clue around this, i have downgraded/upgraded both apache and php no avail
Back to top
amitnayak1



Joined: 12 Feb 2009
Posts: 8

PostPosted: Thu 12 Feb '09 10:10    Post subject: Facing a same kind of problem Reply with quote

Hi

Am using wamp5.
It was running all fine but when i downloaded some script from net and tried to run it give me same kind of error.

Error Signature-------

szAppName : Apache.exe szAppVer : 0.0.0.0 szModName : php5ts.dll
szModVer : 5.0.4.4 offset : 0000778d

As am using php 5.0 i cant follow the same way.
Please guide how to get out of the situation.

Please reply as soon as possible.

Thank you in advance
Back to top
James Blond
Moderator


Joined: 19 Jan 2006
Posts: 5013
Location: Germany, Next to Hamburg

PostPosted: Thu 12 Feb '09 11:22    Post subject: Reply with quote

Which OS? Which Apache version? Where did you download your wamp?
Back to top
amitnayak1



Joined: 12 Feb 2009
Posts: 8

PostPosted: Thu 12 Feb '09 18:18    Post subject: Reply with quote

Hi James

Am running Windows XP.
Am running wamp5_1.4.4

Server Configuration
Apache version : Apache/1.3.33 (Win32)
PHP version : 5.0.4
MySQL version : 4.1.10a-nt - extension : mysqli
Back to top
glsmith
Moderator


Joined: 16 Oct 2007
Posts: 1689
Location: Sun Diego, CA, USofA

PostPosted: Thu 12 Feb '09 18:58    Post subject: Reply with quote

Ahhhh ... I think

Apache 1.3.x uses php5apache.dll
Apache 2.0.x uses php5apache2.dll
Apache 2.2.x uses php5apache2_2.dll

you should be loading php5apache.dll instead of php5apache2.dll
Back to top
James Blond
Moderator


Joined: 19 Jan 2006
Posts: 5013
Location: Germany, Next to Hamburg

PostPosted: Thu 12 Feb '09 19:00    Post subject: Reply with quote

Why are you using such a old version of apache? Also your PHP version is very old. You may update (or better upgrade apache) your versions.

maybe you build your own wamp with newest versions of the software. In this forum there is a great tutorial how to do that.
Back to top
amitnayak1



Joined: 12 Feb 2009
Posts: 8

PostPosted: Fri 13 Feb '09 12:54    Post subject: Problem using PHP5.2.8 Reply with quote

Hi

Went through the procedure and tested using
Apache 2.2.11
PHP5.2.8
mysql 5.1.31
but the php code is not running properly.
I configured them following the guide of this forum.

Actually the same code was running previously and also the source is downloaded online project.

Is PHP5.2 has to do some setting to support previous version code.

Pls help.
Back to top
James Blond
Moderator


Joined: 19 Jan 2006
Posts: 5013
Location: Germany, Next to Hamburg

PostPosted: Fri 13 Feb '09 13:05    Post subject: Reply with quote

Quote:

but the php code is not running properly


Do you use <? instead of <?php ?
Back to top
amitnayak1



Joined: 12 Feb 2009
Posts: 8

PostPosted: Fri 13 Feb '09 13:23    Post subject: Code not running fine Reply with quote

Hi James

The code is having <?= ?>
some places is not running fine.
Back to top
James Blond
Moderator


Joined: 19 Jan 2006
Posts: 5013
Location: Germany, Next to Hamburg

PostPosted: Fri 13 Feb '09 14:36    Post subject: Reply with quote

For that you have to change short_open_tag = Off to short_open_tag = On

maybe you also read Basic PHP Troubleshooting
Back to top
amitnayak1



Joined: 12 Feb 2009
Posts: 8

PostPosted: Fri 13 Feb '09 15:10    Post subject: Identified some new problems Reply with quote

Hi James

i did that as u said short_open_tag = Off to short_open_tag = On
but it didn't worked.

i can see some more problem here that index.php page is not loaded automatically.

and when am starting apache server
it is starting with msg

couldn't reliably determine the servers fully qualified domain name, using 192.168.0.102 for Servername

the above mention problem was not due to the change in php.ini file.
Back to top
James Blond
Moderator


Joined: 19 Jan 2006
Posts: 5013
Location: Germany, Next to Hamburg

PostPosted: Fri 13 Feb '09 17:04    Post subject: Reply with quote

For the Severname.

Add to httpd.conf
yourserver:port

e.g.
Code:

ServerName localhost:80


Quote:

index.php page is not loaded automatically


I guess when you open a path or the root the index.php should be loaded.

search for

e.g.
Code:

DirectoryIndex index.htm index.html


add index.php at first

e.g
Code:

DirectoryIndex index.php index.htm index.html



[quote]
i did that as u said short_open_tag = Off to short_open_tag = On
but it didn't worked.
[/code]

What error do you get?

Did the basic trouble shooting not help? (http://www.apachelounge.com/viewtopic.php?t=2395)
Back to top
amitnayak1



Joined: 12 Feb 2009
Posts: 8

PostPosted: Fri 13 Feb '09 17:31    Post subject: Reply with quote

While i was configuring for the first time today
the mod_perl setup didn't able to configure.
I thought it is not required and moved on.

I think it should be installed.
i installed ActivePerl-5.10.0.1004-MSWin32-x86-287188.msi

and when run command
ppm install http://theoryx5.uwinnipeg.ca/ppms/mod_perl.ppd

it said the url doesn't have code to install mod_perl

then i tried
ppm install http://theoryx5.uwinnipeg.ca/ppms/mod_perl-2.0.ppd

same result

i tried to install mod_perl individually but couldn't able to.


Anyway when i changed
short_open_tag = Off to short_open_tag = On
it doesn't show any error but

the fields which are in side form of page, the values appear as php code like
<?=$some var?>
Back to top
amitnayak1



Joined: 12 Feb 2009
Posts: 8

PostPosted: Fri 13 Feb '09 17:44    Post subject: cant follow exactly Reply with quote

Hay James

i couldn't get u exactly
Quote:
DirectoryIndex index.php index.htm index.html


where to add this line?
Back to top
James Blond
Moderator


Joined: 19 Jan 2006
Posts: 5013
Location: Germany, Next to Hamburg

PostPosted: Fri 13 Feb '09 18:26    Post subject: Re: cant follow exactly Reply with quote

amitnayak1 wrote:
Hay James

i couldn't get u exactly
Quote:
DirectoryIndex index.php index.htm index.html


where to add this line?


Not add. Find that line in your httpd.conf and add index.php
Back to top
amitnayak1



Joined: 12 Feb 2009
Posts: 8

PostPosted: Fri 13 Feb '09 18:49    Post subject: index problem solved. Reply with quote

Thank you james

the index problem solved.


Now Actually i have tried wamp server2.2(Apache 2.2.11
MySQL 5.1.30
PHP 5.2.8 )
in another system.
It was not running the code properly as is here.

Is perl installation is necessary.
Back to top


Post new topic   Reply to topic    Apache Forum Index -> Other Software Goto page 1, 2  Next
Page 1 of 2